### Name: thermo
### Title: Thermodynamic Properties and Compositional Data
### Aliases: thermo OBIGT proteins opt source stress PM90 RH95 RT71 SGD ECO
###   groups
### Keywords: datasets

### ** Examples


  ## Don't show: 
data(thermo)
## End Don't show

  ## exploring thermo$obigt
  # what physical states there are
  unique(thermo$obigt$state)
  # formulas of ten random species
  n <- nrow(thermo$obigt)
  thermo$obigt$formula[runif(10)*n]

  ## cross-checking sources
  # the reference sources
  ref.source <- thermo$source$source
  # only take those that aren't journal abbreviations
  ref.source <- ref.source[-grep('_',ref.source)]
  # sources of elemental data
  element.source <- thermo$element$source
  # primary sources in thermodynamic database
  obigt.source1 <- thermo$obigt$source1
  # secondary sources; some are NA
  obigt.source2 <- 
    thermo$obigt$source2[!is.na(thermo$obigt$source2)]
  # sources of protein compositions
  protein.source <- thermo$protein$source
  # sources of stress response proteins
  stress.source <- as.character(thermo$stress[2,])
  # if the sources are all accounted for 
  # these all produce character(0)
  element.source[!(element.source %in% ref.source)]
  obigt.source1[!(obigt.source1 %in% ref.source)]
  obigt.source2[!(obigt.source2 %in% ref.source)]
  protein.source[!(protein.source %in% ref.source)]
  stress.source[!(stress.source %in% ref.source)]
  # determine if all the reference sources are cited
  my.source <- c(element.source,obigt.source1,
    obigt.source2,protein.source,stress.source)
  # this should produce character(0)
  ref.source[!(ref.source %in% my.source)]




